Extending Qt Creator Manual | QmlJSIndenter

Extending Qt Creator Manual 4.5.2

# QmlJSIndenter Class

(QmlJS::QmlJSIndenter)

Inherits: | QmlJS::LineInfo

- List of all members, including inherited members

## Public Functions

| QmlJSIndenter()
| ~QmlJSIndenter()
int | indentForBottomLine(QTextBlock firstBlock, QTextBlock lastBlock, QChar typedIn)
void | setIndentSize(int size)
void | setTabSize(int size)

- 3 public functions inherited from QmlJS::LineInfo

### Additional Inherited Members

- 9 protected functions inherited from QmlJS::LineInfo

## Member Function Documentation

### QmlJSIndenter::QmlJSIndenter()

Default constructs an instance of QmlJSIndenter.

### QmlJSIndenter::~QmlJSIndenter()

Destroys the instance of QmlJSIndenter.

### int QmlJSIndenter::indentForBottomLine(QTextBlock firstBlock, QTextBlock lastBlock, QChar typedIn)

### void QmlJSIndenter::setIndentSize(int size)

### void QmlJSIndenter::setTabSize(int size)